> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/pre-on-off-ramp-order/get-price-of-crypto-currency-by-fiat-currency.md).

# Get price of crypto currency by fiat currency

## API end-point

<mark style="color:green;">`POST`</mark> `/api/v2/orders/prices`

This API allows you to retrieve the price crypto currencies base on fiat currency of Alix Pay platform

**Headers**

| Name         | Value                                                                                    |    |               |
| ------------ | ---------------------------------------------------------------------------------------- | -- | ------------- |
| Content-Type | `application/json`                                                                       |    |               |
| lang         | <p>The default will en if this param has been empty. </p><p>Supported languages:<code>en | cn | vi</code></p> |

**Request Body**

<table><thead><tr><th width="165">Name</th><th width="100">Type</th><th width="109">Condition</th><th>Description</th></tr></thead><tbody><tr><td><code>partnerCode</code></td><td>string</td><td>Required</td><td>The code of partner has been provided to you during onboarding.</td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">currencies
</code></pre></td><td>string</td><td>Required</td><td>USDT, TON, ETH, SOL</td></tr><tr><td>network</td><td>string</td><td>Required</td><td>TON, ERC20</td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">fiatCurrency
</code></pre></td><td>string</td><td>Optional</td><td>VND <span data-gb-custom-inline data-tag="emoji" data-code="1f1fb-1f1f3">🇻🇳</span>(default), THB <span data-gb-custom-inline data-tag="emoji" data-code="1f1f9-1f1ed">🇹🇭</span>, PHP <span data-gb-custom-inline data-tag="emoji" data-code="1f1f5-1f1ed">🇵🇭</span>, IDR <span data-gb-custom-inline data-tag="emoji" data-code="1f1ee-1f1e9">🇮🇩</span></td></tr><tr><td>service</td><td>string</td><td>Optional</td><td>ON_RAMP, OFF_RAMP, SELL</td></tr><tr><td><code>signature</code></td><td>string</td><td>Required</td><td><ul><li><p>Partner will digitally sign the transmitted data using <strong><code>SHA256</code></strong> with RSA algorithm</p><ul><li>The <strong>public key</strong> that has been provided to you during onboarding.</li><li>Data shall be signed according to the structure <strong><code>partnerCode|secretKey</code></strong></li></ul></li></ul></td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "network": "string",
  "currencies": [
    {
      "name": "string",
      "price": 0,
      "maxBuy": 0,
      "minBuy": 0,
      "maxSell": 0,
      "minSell": 0,
      "minFiatPayment": 0
    }
  ],
  "signature": "string"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Signature**&#x20;

* Partner will digitally sign the transmitted data using **`SHA256`** with RSA algorithm
* The **private key** that has been of yours
* Data shall be signed according to the structure **`secretKey`**
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/pre-on-off-ramp-order/get-price-of-crypto-currency-by-fiat-currency.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
